function [A1,A2,Va]   = ConstructA_M(M)

n = size(M,1);

A1 = (M + M')/2;
A2 = (M'*M) - diag(diag((M'*M)),0);

Va = zeros(2,2);

for i=1:n
    for j=1:n
        Vai = [A1(i,j);A2(i,j)];
        Va  = Va + Vai*Vai';
    end
end

Va = Va/n;

return