function cutOff = sijfunction(zetai,zeta,kappa)

% kappa is the maximal number of links allowed
% zeta contains random position information
% zetai is the position of i

% computes absolute difference of each zeta from zetai
% sorts differences
% picks difference value so that kappa individuals are closer to i than
% 'cutOff'

szeta  = abs(zeta - zetai);
szeta  = sort(szeta,'ascend');
cutOff = szeta(floor(kappa)+1,:);

end